# Interface StackMapFrameInfo.UninitializedVerificationTypeInfo

All Superinterfaces:
  `StackMapFrameInfo.VerificationTypeInfo`

Enclosing interface:
  `StackMapFrameInfo`

public static sealed interface StackMapFrameInfo.UninitializedVerificationTypeInfo extends StackMapFrameInfo.VerificationTypeInfo
An uninitialized stack value. Its `tag` is 8.

See Java Virtual Machine Specification:
  4.7.4 The `StackMapTable` Attribute
Since:
  24

## Field Summary

### Fields declared in interface StackMapFrameInfo.VerificationTypeInfo

`ITEM_DOUBLE, ITEM_FLOAT, ITEM_INTEGER, ITEM_LONG, ITEM_NULL, ITEM_OBJECT, ITEM_TOP, ITEM_UNINITIALIZED, ITEM_UNINITIALIZED_THIS`
Modifier and Type
Field
Description
`static final int`
`ITEM_DOUBLE`
The `tag` for verification type info `DOUBLE`.
`static final int`
`ITEM_FLOAT`
The `tag` for verification type info `FLOAT`.
`static final int`
`ITEM_INTEGER`
The `tag` for verification type info `INTEGER`.
`static final int`
`ITEM_LONG`
The `tag` for verification type info `LONG`.
`static final int`
`ITEM_NULL`
The `tag` for verification type info `NULL`.
`static final int`
`ITEM_OBJECT`
The `tag` for verification type info `OBJECT`.
`static final int`
`ITEM_TOP`
The `tag` for verification type info `TOP`.
`static final int`
`ITEM_UNINITIALIZED`
The `tag` for verification type info `UNINITIALIZED`.
`static final int`
`ITEM_UNINITIALIZED_THIS`
The `tag` for verification type info `UNINITIALIZED_THIS`.

## Method Summary

Modifier and Type
Method
Description
`Label`
`newTarget()`
Returns the label immediately before the `new` instruction that creates this uninitialized object.
`static StackMapFrameInfo.UninitializedVerificationTypeInfo`
`of(Label newTarget)`
Returns an uninitialized verification type info.

### Methods declared in interface StackMapFrameInfo.VerificationTypeInfo

`tag`
Modifier and Type
Method
Description
`int`
`tag()`
Returns the tag of the type info.

## Method Details

### newTarget

Label newTarget()
Returns the label immediately before the `new` instruction that creates this uninitialized object.

Returns:
  the label immediately before the `new` instruction that creates this uninitialized object

### of

static StackMapFrameInfo.UninitializedVerificationTypeInfo of(Label newTarget)
Returns an uninitialized verification type info.

Parameters:
  `newTarget` - the label immediately before the `new` instruction that creates this uninitialized object
Returns:
  an uninitialized verification type info